Subject: Personal & Misc

From: Mi Mi <[email-masked]>
Date: Sat, 07 Aug 93 20:25:36 EDT

Please refer your answers to the author, not me.
If you have anything to post, send it to [email-masked]
Thanx.
Mi Mi
lads-net committee member

===================================================================
>From: luo <[email-masked]>
Subject:      if you don't have original I-94

I don't have original I-94 form. Today I went to Chicago INS. The officer, a la
dy, refused to accept my application at the beginning, even I gave her the copy
 of I-94, a letter from international student office of our university, and a l
etter from a INS center. She said I must hand in my I-94.
After talked to another officer, she decided to accept my application. She said
 "today is a good day for you", with smiling face, finally.

===================================================================

>From: [email-masked] (Jianliang Li)
To: [email-masked]

	I am trying to compile a Frequently-Asked Questions for LAD
	(LAD-FAQ).  If you have good answers to any of the following
	questions, please SUMMARIZE and mail to:

		[email-masked]

	Remember: Application accepted doesn't mean approved. We may
		  still need all the documents.

	I need help from all LADs and their CSPA principals to complete
	this project.  Please contribute your Q or A to me.

	Thanks!

	---------------------------------------------------------------

Q1: 	Form I-485:

		(b) or (h)?

		Applying with you?   Yes or no?

Q2: 	J-2 LAD:

		2-year waiver

Q3: 	J-1 LAD

		2-year waiver

Q4: 	DED Legal Status

		What to do?

Q5:	Birth Certificate

		What to do?

Q6:	Marriage Certificate:

		What to do?

Q7:	Marriage Date:

		4/11/91, Priority Date or before CSPA Approval?

	(to be continued ...... by you)

MI MI'S comment: Very good idea. Jianliang Li, why not join our
lads-net committee, and let's work it out together?

===================================================================
>From: Robert Xiao <[email-masked]>

To whom will be concerned:
Before I sign off from this group, I'd like to share my experience with
everybody, if you have any further questions pls don't E-mail me but post here,
if it would not be me, hopefully someone else could do the follow up
answering.
LA is paradise in some way, believe it or not, around 150 LAD
applications have been accepted each day starting Monday, working
permits were also granted at the same time if people applied.
No real questioning, I-485;Form9003;I-468(processing
sheet);I-765;G-325A;finger print;photos;birth cert;I-797(CSPA);
passport copy;marriage lincense;I-20 copy;bank statement;employment
letter;I-94 copy; I-693(med exam) was optional at this monment, a copy
is need at time of interviewing.
My wife is Taiwan citicen, we got married last Aug., this may answer
one question I saw earlier on the LADnet; of course I can't be sure
she would get approved, but no questioning on this issue by the
officer; officers were quiet and fast, I paid at the cashier where one
of the bottle necks was, $180 total; I took the approved I-765 to the
photographing counter where the lady worked ten minutes per hour, my
wife took a picture, punched a finger print, signed a name, five
minutes later, she got her working permit; overall six and half hours
in LA INS's lobby this morning, we got what we want, we were issued a
appointment sheet assigned the interview time in Feb.'94, the earliest
time I heard was Feb.8, the time set today were all Feb.14. We stood
outside the INS building for a while, imagining where Shannon could
possibly stand tomrrow. Good luck to everyone including Shannon.

P.S. Hsin: in case you're on this net too, call me, take care.

Robert
at LA
===================================================================

>From: <[email-masked]>
Subject: J-1 LADs should speak loudly
To: [email-masked]

Hi, Did you read the COUNCIL RELEASE:MEETING WITH STATE DEPARTMENT ON CSPA
from Dr Zhao on Aug. 6? It seems to me the regulations on CSPA are very
flexible if we can give a strong push to the State Department from Dr.Zhao.
Now, almost everything has obtained a positive result, including out of
status issue, quota issue and so on. Even the issue of LADs in China is
being considered seriously. However, the problem of J-1 LADs has not been
arised and considered even though they are in normal status and in USA.
The only reason is our voice is not strong enough. Please send a letter
to Dr. Zhao. We still have some chance because the application date has been
extended to September. Come on J-1 LADs.

Why not try to lobby? Mi MI